using System.Web.Mvc;
using Munq.MVC3;
using MunqMvc3Sample.Models;
using System.Web.Security;

[assembly: WebActivator.PreApplicationStartMethod(
	typeof(MunqMvc3Sample.App_Start.MunqMvc3Startup), "PreStart")]

namespace MunqMvc3Sample.App_Start {
	public static class MunqMvc3Startup {
		public static void PreStart() {
			DependencyResolver.SetResolver(new MunqDependencyResolver());
			var ioc = MunqDependencyResolver.Container;

			// TODO: Register Dependencies
			// ioc.Register<IMyRepository, MyRepository>();

			// setup AccountController's dependencies
			ioc.Register<IFormsAuthenticationService, FormsAuthenticationService>();
			ioc.Register<IMembershipService, AccountMembershipService>();

			// AccountMembershipService needs a MembershipProvider
			ioc.Register<MembershipProvider>(c => Membership.Provider);
		}
	}
}
 

